Bug 343461 - multiarch conflicts in wxGTK
multiarch conflicts in wxGTK
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: wxGTK (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Miller
Fedora Extras Quality Assurance
:
: 295521 592660 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-19 17:59 EDT by Bill Nottingham
Modified: 2014-03-16 23:11 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-20 07:46:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-10-19 17:59:40 EDT
wxGTK (or one of its subpacakges) has multiarch conflicts when installed for both i386 and x86_64 in the Fedora development tree. For help in resolving them, see http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks. 

  file /usr/bin/wx-config from install of wxGTK-devel-2.8.4-6.fc8 conflicts with file from package wxGTK-devel-2.8.4-6.fc8

(Note that this is an automated bug filing.)
It would be nice to have these bugs fixed by the beta of Fedora 9.
Comment 1 Matthew Miller 2008-02-20 16:14:58 EST
*** Bug 295521 has been marked as a duplicate of this bug. ***
Comment 2 Bug Zapper 2008-05-13 23:40:01 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Matthew Landauer 2008-08-07 22:51:57 EDT
The conflict in wx-config causes the following problem:

With the x86_64 wxGTK development package installed:
$ wx-config --cxxflags
-I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread

With the i386 wxGTK development package installed:
$ wx-config --cxxflags
-I/usr/lib/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread

The files /usr/lib64/wx/include/gtk2-unicode-release-2.8/wx/setup.h and /usr/lib/wx/include/gtk2-unicode-release-2.8/wx/setup.h contain the platform specific defines that allow building against wxGTK to work.

This is the root cause of the build problem in bug 295521.

Hope that helps (just a little)
Comment 4 Matthew Landauer 2008-08-07 23:30:24 EDT
Two potential solutions come to mind.

1. On the 64 bit Fedora create two configurations of wxGTK that can be selected by

wx-config --host=<64 bit> or wx-config --host=<32 bit> with 64 bit being the default.

2. Remove the platform specific include files from wxGTK so that "wx-config --cxxflags" would just return "-I/usr/include/wx-2.8" rather than "-I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8" and also update /usr/share/aclocal/wxwin.m4 so that the platform specific defines are created at configure time for the client program using wxGTK.

The second solution would probably be the easiest to use and be the most seamless. However, it would require pretty significant changes on the wxWidgets upstream side.
Comment 5 Alex Chernyakhovsky 2008-09-09 21:14:27 EDT
I second the option to use --host, and would like to report that the problem still exists in wxGTK-devel-2.8.7-2.fc9.
Comment 6 Philippe Troin 2009-01-16 15:39:03 EST
Problem is still there in F10 as well.
Comment 7 Bug Zapper 2009-06-09 19:05:03 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bruno Postle 2009-06-10 16:25:20 EDT
Still reproducible with f10: the hugin package can't be rebuilt on an x86_64 system with both wxGTK-devel.i386 and wxGTK-devel.x86_64 installed.
Comment 9 Alex Butcher 2009-06-24 19:57:02 EDT
Still present in wxGTK-devel-2.8.10-1.fc11
Comment 10 Philippe Troin 2009-07-23 16:38:21 EDT
Still present in wxGTK-devel-2.8.10-2.fc11.
Comment 11 Alex Butcher 2009-11-09 09:03:28 EST
Still present in wxGTK-devel-2.8.10-3.fc11.
Comment 12 Alex Butcher 2009-11-16 03:39:48 EST
Still present in wxGTK-devel-2.8.10-4.fc11.
Comment 13 Bug Zapper 2009-11-18 03:12:53 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Dan Horák 2009-11-20 07:46:19 EST
A multilib-aware wrapper script was added to the package.
Comment 15 Philippe Troin 2010-02-18 01:43:15 EST
wxGTK-devel-2.8.10-7.fc12.i686 still has the bug.
Comment 16 Dan Horák 2010-02-18 02:16:36 EST
As the status of this bug shows it's fixed in the upcoming F-13.
Comment 17 Dan Horák 2010-05-16 02:31:55 EDT
*** Bug 592660 has been marked as a duplicate of this bug. ***
Comment 18 Thomas Kowaliczek 2010-05-25 16:14:10 EDT
/usr/include/wx-2.8/wx/string.h:827: Fehler: »wxChar& wxString::operator[](unsigned int)« kann nicht überladen werden (can´t overloaded)
/usr/include/wx-2.8/wx/string.h:824: Fehler: mit »wxChar& wxString::operator[](size_t)«
Process terminated with status 1 (0 minutes, 0 seconds)
2 errors, 0 warnings

Is the bug releay fixed?

Because i can´t compile pcsx2.
The devs say it´s an 64/32 bit problem.
Comment 19 Dan Horák 2010-05-27 04:56:34 EDT
Yes, it's really fixed.

In my opinion the problem is in the application source code, where it uses a native types instead of wxGTK-provided ones and it doesn't allow building 32 bit version on 64 bit system. You should use a chrooted environment (e.g. prepared by mock or with "yum --installroot") to build the non-native version.

Note You need to log in before you can comment on or make changes to this bug.